#! /bin/bash
# Generates and plots sets of test data for ICA software

show="$1"; shift; # SHOW or NOSHOW

generate_non_gaussian_data.py

tmp=/tmp/$$

tmpPng="${tmp}.png"

for f in rnd[A-Z].txt; do 
  gnuplot <<EOF
  set term png size 600,600 font "Arial,15"
  set output "${tmpPng}"
  set size ratio -1
  set title "$f"
  set xrange [-20:+20]
  set yrange [-20:+20]
  plot "$f" using 1:2 with point pt 7 ps 0.5
EOF
  
  if [[ -s ${tmpPng} ]]; then
    if [[ "/${show}" == "/SHOW" ]]; then 
      outPng="${f/.txt/.png}"
      convert ${tmpPng} -resize '50%' ${outPng}
      display -title $f ${outPng}
    fi
  else
    echo "** plot failed" 1>&2; exit 1
  fi
done

zip `yyyy-mm-dd`-icatest.zip rnd[A-Z].{txt,plt} generate_ica_test_data.sh generate_non_gaussian_data.py 
